Page MenuHomePhabricator

Add openldap/labs servers to backup
Closed, ResolvedPublic

Description

seaborgium and serpens run syncrepl replication among each other, but it would still be useful to run slapcat on the LDAP data daily and add the exported LDIF to the backups.

Event Timeline

MoritzMuehlenhoff raised the priority of this task from to Needs Triage.
MoritzMuehlenhoff updated the task description. (Show Details)
MoritzMuehlenhoff added a project: Operations.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 9 2015, 8:49 AM
MoritzMuehlenhoff triaged this task as Normal priority.Dec 9 2015, 8:49 AM
MoritzMuehlenhoff set Security to None.

Change 259155 had a related patch set uploaded (by Dzahn):
openldap/labs: make serpens/seaborgium backup hosts

https://gerrit.wikimedia.org/r/259155

Change 259155 merged by Dzahn:
openldap/labs: make serpens/seaborgium backup hosts

https://gerrit.wikimedia.org/r/259155

Change 259174 had a related patch set uploaded (by Dzahn):
openldap: add backup with ldif files

https://gerrit.wikimedia.org/r/259174

Dzahn added a subscriber: Dzahn.Dec 14 2015, 11:11 PM

I added backup::host to these nodes as a requirement. That installed bacula client etc already.

Now pending the second patch i uploaded which adds a cron to run slapcat, a directory to write the backup to and a fileset and backup job in Bacula to backup that.

It would simply be writing one file per day and keep overwriting the same file, no different versions fo sar.

Dzahn claimed this task.Dec 14 2015, 11:11 PM

Change 259174 abandoned by Dzahn:
openldap: add backup with ldif files

https://gerrit.wikimedia.org/r/259174

Dzahn removed Dzahn as the assignee of this task.Dec 16 2015, 12:56 AM

per the comments on that gerrit link above, Alex said " I 'll try and create a bpipe approach in labs as a first step."

Dzahn added a subscriber: akosiaris.

Change 289824 had a related patch set uploaded (by Muehlenhoff):
Add a new backup set to backup openldap databases

https://gerrit.wikimedia.org/r/289824

Change 289824 merged by Muehlenhoff:
Add a new backup set to backup openldap databases and enable on serpens

https://gerrit.wikimedia.org/r/289824

fgiunchedi added a subscriber: fgiunchedi.

ldap backups are now enabled only on serpens, shall we enable it on all machines in codfw and eqiad too?

I think that makes sense. For the OIT mirrors we also ended up having a backup for both syncrepl endpoints since the slapd data is so tiny. I'll make a patch.

MoritzMuehlenhoff closed this task as Resolved.Jul 11 2016, 2:41 PM
MoritzMuehlenhoff claimed this task.

The LDAP servers for OIT and labs are part of the backup for a while now, closing.